// CXmlUtil - [2020-04-13 11:57:47]
#ifndef _CXMLUTIL_H_
#define _CXMLUTIL_H_

#include "CFTTXmlReaderNode.h"
#include "CFTTXmlWriterNode.h"
#include "CFTTXmlWriter.h"

/*
001F5390 CXmlUtil::DeleteXMLDocument(char const*)
001F5394 CXmlUtil::LoadXmlDocument(char const*,bool)
001F5464 CXmlUtil::CountElement(CFTTXmlReaderNode,char const*)
001F5472 CXmlUtil::GetChildNode(CFTTXmlReaderNode,char const*)
001F54B8 CXmlUtil::GetText(CFTTXmlReaderNode,char const*)
001F54F2 CXmlUtil::GetText(CFTTXmlReaderNode)
001F5504 CXmlUtil::GetUnicodeText(CFTTXmlReaderNode)
001F5524 CXmlUtil::GetUnicodeText(CFTTXmlReaderNode,char const*)
001F555C CXmlUtil::GetBool(CFTTXmlReaderNode,char const*,bool)
001F5592 CXmlUtil::GetInteger(CFTTXmlReaderNode,char const*,int)
001F55C2 CXmlUtil::GetInteger(CFTTXmlReaderNode)
001F55D6 CXmlUtil::GetBool(CFTTXmlReaderNode)
001F55F0 CXmlUtil::GetFloat(CFTTXmlReaderNode,char const*)
001F563E CXmlUtil::GetFloatArray(CFTTXmlReaderNode,float *,int,char const*)
001F569C CXmlUtil::GetIntArray(CFTTXmlReaderNode,int *,int,char const*)
001F56F4 CXmlUtil::AddRoot(char const*)
001F56FC CXmlUtil::AddChildNode(CFTTXmlWriterNode,char const*)
001F570C CXmlUtil::AddUnicodeText(CFTTXmlWriterNode,wchar_t const*)
001F574C CXmlUtil::AddText(CFTTXmlWriterNode,char const*)
001F575C CXmlUtil::AddInteger(CFTTXmlWriterNode,int)
001F57A0 CXmlUtil::AddFloat(CFTTXmlWriterNode,float)
001F57F0 CXmlUtil::AddBoolean(CFTTXmlWriterNode,bool)
001F5834 CXmlUtil::AddUnicodeText(CFTTXmlWriterNode,char const*,wchar_t const*)
001F587C CXmlUtil::AddText(CFTTXmlWriterNode,char const*,char const*)
001F5898 CXmlUtil::AddInteger(CFTTXmlWriterNode,char const*,int)
001F58E8 CXmlUtil::AddFloat(CFTTXmlWriterNode,char const*,float)
001F5940 CXmlUtil::AddBoolean(CFTTXmlWriterNode,char const*,bool)
001F5990 CXmlUtil::WriteXmlDocument(CFTTXmlWriter &,char const*,bool,uint)

*/

class CXmlUtil {
public:
  static void DeleteXMLDocument(char const *);                                               // 001F5390
  static void LoadXmlDocument(char const *, bool);                                           // 001F5394
  static void CountElement(CFTTXmlReaderNode, char const *);                                 // 001F5464
  static CFTTXmlReaderNode GetChildNode(CFTTXmlReaderNode, char const *);                    // 001F5472
  static char *GetText(CFTTXmlReaderNode aNode, char const *pName);                          // 001F54B8
  static char *GetText(CFTTXmlReaderNode);                                                   // 001F54F2
  static wchar_t *GetUnicodeText(CFTTXmlReaderNode);                                         // 001F5504
  static wchar_t *GetUnicodeText(CFTTXmlReaderNode a, char const *pName);                    // 001F5524
  static bool GetBool(CFTTXmlReaderNode, char const *, bool);                                // 001F555C
  static int GetInteger(CFTTXmlReaderNode, char const *, int);                               // 001F5592
  static int GetInteger(CFTTXmlReaderNode);                                                  // 001F55C2
  static bool GetBool(CFTTXmlReaderNode);                                                    // 001F55D6
  static float GetFloat(CFTTXmlReaderNode, char const *);                                    // 001F55F0
  static bool GetFloatArray(CFTTXmlReaderNode a, float *pf, int dcount, char const *pName);  // 001F563E
  static bool GetIntArray(CFTTXmlReaderNode a, int *pi, int dcount, char const *pName);      // 001F569C
  static void AddRoot(char const *);                                                         // 001F56F4
  static void AddChildNode(CFTTXmlWriterNode, char const *);                                 // 001F56FC
  static void AddUnicodeText(CFTTXmlWriterNode, wchar_t const *);                            // 001F570C
  static void AddText(CFTTXmlWriterNode, char const *);                                      // 001F574C
  static void AddInteger(CFTTXmlWriterNode, int);                                            // 001F575C
  static void AddFloat(CFTTXmlWriterNode, float);                                            // 001F57A0
  static void AddBoolean(CFTTXmlWriterNode, bool);                                           // 001F57F0
  static void AddUnicodeText(CFTTXmlWriterNode, char const *, wchar_t const *);              // 001F5834
  static void AddText(CFTTXmlWriterNode, char const *, char const *);                        // 001F587C
  static void AddInteger(CFTTXmlWriterNode, char const *, int);                              // 001F5898
  static void AddFloat(CFTTXmlWriterNode, char const *, float);                              // 001F58E8
  static void AddBoolean(CFTTXmlWriterNode, char const *, bool);                             // 001F5940
  static void WriteXmlDocument(CFTTXmlWriter &, char const *, bool, uint);                   // 001F5990
};

#endif  //_CXMLUTIL_H_